    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/jq-3.3.1/jszip-2.5.0/dt-1.10.24/b-1.7.0/b-colvis-1.7.0/b-html5-1.7.0/b-print-1.7.0/cr-1.5.3/date-1.0.3/fh-3.1.8/sb-1.0.1/sp-1.2.2/datatables.min.css"/>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/v/dt/jq-3.3.1/jszip-2.5.0/dt-1.10.24/b-1.7.0/b-colvis-1.7.0/b-html5-1.7.0/b-print-1.7.0/cr-1.5.3/date-1.0.3/fh-3.1.8/sb-1.0.1/sp-1.2.2/datatables.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/plug-ins/1.10.25/sorting/absolute.js"></script>
    <script src="https://kit.fontawesome.com/c01ec6dded.js" crossorigin="anonymous"></script>

    <script type="text/javascript">

      $(document).ready(function() {

        // Add column filtering
        $('#assembly_info_table thead tr').clone(true).appendTo('#assembly_info_table thead');
        $('#assembly_info_table thead tr:eq(1) th').each(function (i) {
            $(this).addClass("column-filter-box");
            $(this).html('<input type="text" placeholder="Filter column" />');
            $('input', this).on('input', function () {
              if (table.column(i).search() !== this.value) {
                table.column(i).search(this.value).draw(false);
              }
            });
        });

        // Override sorting function for numbers mixed with NA to keep NA < 0
        $.fn.dataTable.ext.type.order["html-num-fmt-pre"] = function(data) {
            // Strip HTML
            data = data.replace(/<.*?>/g, '');
            // Remove dots
            data = data.replace(/\./g, '');
            // Replace commas dots
            data = data.replace(/,/g, '.');
            // Strip any remaining no numeric data
            data = data.replace(/[^0-9\.\-]/g, '');
            if ( data === '' ) { // it was NA
              return -Infinity;
            }
            return data*1;
        };

        var table = $('#assembly_info_table').DataTable({

          dom: 'frBtip',
          colReorder: true,
          orderCellsTop: true,
          fixedHeader: true,
          info: true,
          processing: true,
          scrollX: true,
          pageLength: 25,
          pagingType: "full_numbers",
          deferRender: true,
          orderClasses: false,

          columnDefs: [
            {
              targets: "_all",
              createdCell: function (td, cellData, rowData, row, col) {
                if (cellData == 'NA') {
                  $(td).css('color', '#b3b3b3')
                  $(td).css('font-style', 'italic')
                }
              }
            },
            {
              targets: [{% for c in num_col %}{{ c }}, {% endfor %}],
              className: "dt-body-right",
              render: $.fn.dataTable.render.number(',', '.'),
              type: 'html-num-fmt'
            },
            {
              targets: [{% for c in float_col %}{{ c }}, {% endfor %}],
              className: "dt-body-right",
              render: $.fn.dataTable.render.number(',', '.', 1),
              type: 'html-num-fmt'
            },
            {
              targets: [{% for c in string_col %}{{ c }}, {% endfor %}],
              className: "dt-body-left"
            },
            {
              targets: [{% for c in hidden_col %}{{ c }}, {% endfor %}],
              visible: false
            }
          ],

          buttons: [
            {
              extend: 'copy',
              text: '<i class="fa fa-copy"></i>',
              titleAttr: 'Copy current table to clipboard',
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'excel',
              text: '<i class="fa fa-file-excel"></i>',
              titleAttr: 'Export current table to excel spreadsheet',
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'csv',
              text: '<i class="fa fa-file-csv"></i>',
              titleAttr: 'Export current table to CSV',
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'pdf',
              text: '<i class="fa fa-file-pdf"></i>',
              titleAttr: 'Export current table to PDF',
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'colvis',
              text: '<i class="fa fa-columns"></i>',
              titleAttr: 'Select columns to show',
              collectionLayout: 'four-column',
              postfixButtons: [ 
                {
                  extend: 'colvisGroup',
                  text: 'Show all',
                  show: ':hidden'
                },
                {
                  extend: 'colvisGroup',
                  text: 'Show none',
                  hide: ':visible'
                },
                {
                  extend: 'colvisRestore',
                  text: 'Restore'
                }
              ],
            },
            {
              extend: 'searchBuilder',
              text: '<i class="fas fa-filter"></i>',
              titleAttr: 'Advanced filtering',
              config: {
                depthLimit: 2
              }
            },
          ],

          language: {
            search: '<i class="fa fa-search" style="font-size: 1.25em;"></i>',
            searchPlaceholder: 'Search anything...',
            searchBuilder: {
              add: '+',
              clearAll: '<i class="fas fa-trash"></i>',
              logicAnd: 'AND',
              valueJoiner: 'AND',
              logicOr: 'OR',
              button: {
                0: '<i class="fas fa-filter"></i>',
                _: '<i class="fas fa-filter"></i> (%d)'
              },
              title: {
                0: 'Filters',
                _: 'Filters (%d)'
              }
            }
          },

          searchBuilder: {},

          data: [
             {% for row in table_rows %} [{% for data_field in row %}"{{ data_field }}",{% endfor %}],
             {% endfor %}
          ]

        });
      });

      $.fn.DataTable.ext.pager.numbers_length = 3;

    </script>
